Release Notes for MariaDB Enterprise ColumnStore 5.5.1

MariaDB Enterprise ColumnStore is a columnar storage engine included with MariaDB Enterprise Server. This is the third release in the Enterprise ColumnStore 5 series.

This release of MariaDB Enterprise ColumnStore is included with MariaDB Enterprise Server 10.5.8-5.

This release is of GA (General Availability) maturity.

MariaDB Enterprise ColumnStore 5.5.1 was released on 2020-12-14.

Notable Changes

  • ColumnStore VARCHAR was sized in bytes, which required customers with multi-byte data to account for the byte variance within their capacity calculations and column definitions. VARCHAR is now sized by characters (which may be multi-byte) in alignment to the behavior of InnoDB and as required by SQL standard (ISO/IEC 9075:2016 feature E021 - Character string types). (MCOL-2000)

  • Non-equality comparison operators previously produced storage engine-specific results with NOPAD collations. This behavior now aligns to the behavior of InnoDB. (MCOL-4417)

  • Added ENCODE() and DECODE() function support. (MCOL-4323)

  • ColumnStore now respects case-insensitive comparison during JOIN when called for by the specified collation. (MCOL-495) (MCOL-4064)

  • Enhanced performance of multi-node ColumnStore startup. (MCOL-4337)

Issues Fixed

Can result in a hang or crash

  • Possible crash in mariadbd when calling stored procedures in the columnstore_info database. (MCOL-4105)

  • INSERT .. SELECT hangs on cpimport when MariaDB Enterprise ColumnStore is installed in a non-default path. (MCOL-4425)

Can result in unexpected behavior

  • Incorrect error message shown when using unsupported JSON functions. (MCOL-4108)

  • Equality does not respect the NOPAD collation attribute. (MCOL-4388)

  • ROUND() function returns incorrect answer for DATE data type. (MCOL-4255) (MCOL-4281)

  • calgetshowpartitions fails if MariaDB Enterprise Server started before MariaDB Enterprise ColumnStore. (MCOL-4397)

Platforms

In alignment to the enterprise lifecycle, MariaDB Enterprise ColumnStore 5.5.1 is provided for:

  • CentOS 7

  • CentOS 8

  • Debian 9

  • Debian 10

  • Red Hat Enterprise Linux 7

  • Red Hat Enterprise Linux 8

  • SUSE Linux Enterprise Server 12

  • SUSE Linux Enterprise Server 15

  • Ubuntu 16.04

  • Ubuntu 18.04

  • Ubuntu 20.04

Upgrade Instructions